From 5fa601828904bfad7af3499b5c251989f589ae47 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Feb 06 2017 23:29:15 +0000
Subject: [PATCH 691/1001] Improve the widget-loading system


Avoid passing Python variables to Javascript, this is error-prone.

---

diff --git a/hubs/static/js/utils.js b/hubs/static/js/utils.js
index 01f2382..3474786 100644
--- a/hubs/static/js/utils.js
+++ b/hubs/static/js/utils.js
@@ -12,23 +12,23 @@ var collapse_feed_entries = function(idx) {
 }
 
 // Load widgets
- function setup_widgets(base_url, widgets) {
-   console.log(base_url, widgets);
-   $.each(widgets, function(i, widget) {
-     $.ajax({
-       url: base_url + widget,
-       dataType: 'html',
-       success: function(html) {
-         $('#widget-' + widget).html(html);
-         setTimeout(function() {
-           $('#widget-' + widget + ' .panel').toggleClass('panel-visible');
-         }, 100);
-       },
-       error: function() {
-         $('#widget-' + widget).html('Got an error retrieving this widget.  Sorry :(');
-         console.log('error');
-         console.trace();
-       },
-     });
-   });
- }
+function setup_widgets() {
+    $("div.widget[data-url]").each(function() {
+        var element=$(this);
+        $.ajax({
+            url: element.attr("data-url"),
+            dataType: 'html',
+            success: function(html) {
+                element.html(html);
+                setTimeout(function() {
+                  element.find('.panel').toggleClass('panel-visible');
+                }, 100);
+            },
+            error: function() {
+                element.html('Got an error retrieving this widget.  Sorry :(');
+                console.log('error');
+                console.trace();
+            },
+        });
+    });
+}
